Index: arch/ia32/src/drivers/vesa.c
===================================================================
--- arch/ia32/src/drivers/vesa.c	(revision 749122b7049d1309caf20984392aed29fe6a6d00)
+++ arch/ia32/src/drivers/vesa.c	(revision b1b723ef197f2004f5da6d7c8f3e77a5d52e8b94)
@@ -81,5 +81,6 @@
 	fb_init(vram_lin_addr, vesa_width, vesa_height, vesa_bpp, vesa_scanline);
 	
-	sysinfo_set_item_val("Framebuffer.address.physical",NULL,vesa_ph_addr);
+	fb_register();
+	sysinfo_set_item_val("fb.address.physical", NULL, vesa_ph_addr);
 }
 
Index: arch/ppc32/include/console.h
===================================================================
--- arch/ppc32/include/console.h	(revision 749122b7049d1309caf20984392aed29fe6a6d00)
+++ arch/ppc32/include/console.h	(revision b1b723ef197f2004f5da6d7c8f3e77a5d52e8b94)
@@ -31,4 +31,5 @@
 
 extern void ppc32_console_init(void);
+extern void ppc32_console_register(void);
 
 #endif
Index: arch/ppc32/src/console.c
===================================================================
--- arch/ppc32/src/console.c	(revision 749122b7049d1309caf20984392aed29fe6a6d00)
+++ arch/ppc32/src/console.c	(revision b1b723ef197f2004f5da6d7c8f3e77a5d52e8b94)
@@ -40,2 +40,8 @@
 	fb_init(0xf0000000 + (bootinfo.screen.addr & ((__address) ~0 >> 15)), bootinfo.screen.width, bootinfo.screen.height, bootinfo.screen.bpp, bootinfo.screen.scanline);
 }
+
+
+void ppc32_console_register(void)
+{
+	fb_register();
+}
Index: arch/ppc32/src/ppc32.c
===================================================================
--- arch/ppc32/src/ppc32.c	(revision 749122b7049d1309caf20984392aed29fe6a6d00)
+++ arch/ppc32/src/ppc32.c	(revision b1b723ef197f2004f5da6d7c8f3e77a5d52e8b94)
@@ -63,4 +63,6 @@
 		/* Merge all zones to 1 big zone */
 		zone_merge_all();
+		
+		ppc32_console_register();
 	}
 }
Index: genarch/include/fb/fb.h
===================================================================
--- genarch/include/fb/fb.h	(revision 749122b7049d1309caf20984392aed29fe6a6d00)
+++ genarch/include/fb/fb.h	(revision b1b723ef197f2004f5da6d7c8f3e77a5d52e8b94)
@@ -35,4 +35,5 @@
 extern spinlock_t fb_lock;
 void fb_init(__address addr, unsigned int x, unsigned int y, unsigned int bpp, unsigned int scan);
+void fb_register(void);
 
 #endif
Index: genarch/src/fb/fb.c
===================================================================
--- genarch/src/fb/fb.c	(revision 749122b7049d1309caf20984392aed29fe6a6d00)
+++ genarch/src/fb/fb.c	(revision b1b723ef197f2004f5da6d7c8f3e77a5d52e8b94)
@@ -48,4 +48,5 @@
 static unsigned int yres = 0;
 static unsigned int scanline = 0;
+static unsigned int bitspp = 0;
 static unsigned int pixelbytes = 0;
 
@@ -349,4 +350,5 @@
 	xres = x;
 	yres = y;
+	bitspp = bpp;
 	scanline = scan;
 	
@@ -360,13 +362,17 @@
 	chardev_initialize("fb", &framebuffer, &fb_ops);
 	stdout = &framebuffer;
-	
-	sysinfo_set_item_val("Framebuffer",NULL,true);
-	sysinfo_set_item_val("Framebuffer.width",NULL,x);
-	sysinfo_set_item_val("Framebuffer.height",NULL,y);
-	sysinfo_set_item_val("Framebuffer.scanline",NULL,scan);
-	sysinfo_set_item_val("Framebuffer.bpp",NULL,bpp);
-	sysinfo_set_item_val("Framebuffer.address.virtual",NULL,addr);
-	
-
-
-}
+}
+
+
+/** Register framebuffer in sysinfo
+ *
+ */
+void fb_register(void)
+{
+	sysinfo_set_item_val("fb", NULL, true);
+	sysinfo_set_item_val("fb.width", NULL, xres);
+	sysinfo_set_item_val("fb.height", NULL, yres);
+	sysinfo_set_item_val("fb.scanline", NULL, scanline);
+	sysinfo_set_item_val("fb.bpp", NULL, bitspp);
+	sysinfo_set_item_val("fb.address.virtual", NULL, (__address) fbaddress);
+}
Index: generic/include/syscall/syscall.h
===================================================================
--- generic/include/syscall/syscall.h	(revision 749122b7049d1309caf20984392aed29fe6a6d00)
+++ generic/include/syscall/syscall.h	(revision b1b723ef197f2004f5da6d7c8f3e77a5d52e8b94)
@@ -32,5 +32,5 @@
 typedef enum {
 	SYS_IO = 0,
-	SYS_TLS_SET = 1, /* Hardcoded in AMD64,IA32 uspace - psthread.S */
+	SYS_TLS_SET = 1, /* Hardcoded in AMD64, IA32 uspace - psthread.S */
 	SYS_THREAD_CREATE,
 	SYS_THREAD_EXIT,
